<%@ page import="cz.bellman.applications.externaldatabasemanager.beans.CustomObject" %>
<%@ page import="cz.bellman.applications.externaldatabasemanager.forms.EditCustomObjectForm" %>
<%@ page import="cz.bellman.applications.externaldatabasemanager.configuration.ApplicationXml" %>
<%@ page import="cz.bellman.applications.externaldatabasemanager.actions.LoginAction" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib prefix="tiles" uri="http://struts.apache.org/tags-tiles" %>
<%@ taglib prefix="f" uri="/WEB-INF/functions.tld" %>
<style>
    .section-row:nth-of-type(odd) {
        background-color: #f9f9f9;
    }
    .section-row:hover {
        background-color: #f5f5f5;
    }
    .menu_edm {
        background-color: #f9f9f9;
    }
    .menu_edm_select {
        background-color: #8c8c8c;
    }
    .menu_edm:hover{
        background-color: #cdd0d6;
    }

    tbody:before {
             /* This doesn't work because of border-collapse */
             line-height:1em;
             content:"-";
             color:transparent; /* bacground color */
             display:block;
         }

</style>


    <script type="text/javascript">

        // adding filler rows

        function setListSorting(sortProperty, sortOrder){
            $('input[type=hidden][name=sortProperty]').get(0).value = sortProperty == null ? '' : sortProperty;
            $('input[type=hidden][name=sortOrder]').get(0).value = sortProperty == null ? '' : sortOrder;
            return submitForm('sorting');
        }

        function setListPage(page){
            console.log("page="+page);
            $('select[name=page]').get(0).value = page;
            return submitForm('paging');
        }

        function submitForm(action){
            $('input[type=hidden][name=action]').get(0).value = action;
            $('form[name=listForm]').submit();
            return false;
        }

    </script>


    <bean:define id="object" name="listForm" property="currentCustomObject" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObject"/>

        <html:form action="/listObjects" method="get">
        <html:hidden property="objectName"/>
        <html:hidden property="sortProperty"/>
        <html:hidden property="sortOrder"/>
        <html:hidden property="action"/>

  <div id="list" class="" style="margin-left:3px; ">
    <table id="listTable" width="100%" border="0" cellpadding="0" cellspacing="0" class="editTable task-list  " style="margin: 50px 0px 0px 0px;padding-left:0px;">
        <thead style="background-color: white;">
        <tr><th colspan="<%=((CustomObject)object).getPropertiesOverviewList().size()%>" style="width:100%;">
            <div id="tabs" class="tabBar" style="margin: 15px 10px 10px 0px;" >
                <div class="btn-group" role="group" aria-label="Basic example" >
                    <% int i = 1; 
                        Integer i_get = request.getParameter("i") != null ? Integer.parseInt( request.getParameter("i")) : 1;
                        Integer j_int = session.getAttribute("ii") != null ? (Integer) session.getAttribute("ii") : 1 ;//j_int = Integer.parseInt(j);
                        j_int = i_get;
                        String isActive = request.getParameter("filterValue\u0028ColProp__isActive\u0029");
                    %>
                    <logic:iterate id="objectMenu" name="listForm" property="customObjects" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObject">
                    	<logic:equal name="objectMenu" property="showInOverview" value="true">
	                        <logic:equal name="objectMenu" property="objectName" value="${listForm.currentCustomObject.objectName}">
	                            <a class="btn btn-default menu_edm_select" style="margin-right:0px;" href="listObjects.do?action=restoreFilter&objectName=${objectMenu.objectName}&i=<%=i%>" title="" role="button" >${objectMenu.objectsLegend}</a>
	                        </logic:equal>
	                        <logic:notEqual name="objectMenu" property="objectName" value="${listForm.currentCustomObject.objectName}">
	                            <a class="btn btn-default menu_edm" style="margin-right:0px;" href="listObjects.do?action=restoreFilter&objectName=${objectMenu.objectName}&i=<%=i%>" title="" role="button">${objectMenu.objectsLegend}</a>
	                        </logic:notEqual>
                        </logic:equal>
                        <%i++;%>
                    </logic:iterate>
                </div>
            </div>
                <div class="row">

                    <logic:equal value="false" name="listForm" property="currentCustomObject.readOnly">
                        <div class="col-md-1 col-sm-1 col-xs-1">

                            <a class="btn btn-default"  href="editObject.do?objectName=${listForm.currentCustomObject.objectName}&action=New" role="button" >
                                <span class="glyphicon glyphicon-plus"></span> &nbsp; ${listForm.currentCustomObject.objectLegend}
                            </a>

                        </div>
                    </logic:equal>
                </div>

            </th>
        </tr>

                <tr class="rowOdd" style="">
                    <th colspan="<%=((CustomObject)object).getPropertiesOverviewList().size()%>" style="width:100%;">

                        <html:submit onclick="return submitForm('useFilter')" ><bean:message key="list.button.useFilter"/></html:submit>
                        <html:submit onclick="return submitForm('removeFilter')" ><bean:message key="list.button.removeFilter"/></html:submit>                                    
                                    <html:select property="itemsOnPage" onchange="submitForm('')" styleClass="hidden">
                                        <html:option value="5">5</html:option>
                                        <html:option value="10">10</html:option>
                                        <html:option value="25">25</html:option>
                                        <html:option value="50">50</html:option>
                                        <html:option value="100">100</html:option>
                                    </html:select>
                                    <html:hidden property="items"/>
                                    &nbsp; <a href="javascript:void(null)" onclick="return setListPage(${listForm.page} - 1);">&lt;&lt;</a>
                                    <bean:define id="lastPage" name="listForm" property="lastPage" />
                                    <html:select property="page" onchange="submitForm('')" styleClass="hidden">
                                        <logic:iterate id="pageIndex" name="listForm" property="listPages">
                                            <html:option value="${pageIndex}"><bean:write name="pageIndex"/></html:option>
                                        </logic:iterate>
                                    </html:select>

                                    <logic:lessThan name="listForm" property="items" value="${listForm.page * 100}">
                                    &nbsp; ${(listForm.page-1)*100 + 1 } - ${ listForm.items}  /
                                        <bean:write name="listForm" property="items"/>
                                    &nbsp;&nbsp;<a href="javascript:void(null)" onclick="return setListPage(${listForm.page} + 1);">&gt;&gt;</a>
                                    
                                    </logic:lessThan>
                                    <logic:greaterEqual name="listForm" property="items" value="${listForm.page * 100}">
                                        &nbsp; ${(listForm.page-1)*100 + 1 } - ${ listForm.page*100}  /
                                        <bean:write name="listForm" property="items"/>
                                        &nbsp;&nbsp;<a href="javascript:void(null)" onclick="return setListPage(${listForm.page} + 1);">&gt;&gt;</a>
                                    </logic:greaterEqual>
                    </th>
                </tr>
                <tr class="rowOdd ">
                    <logic:iterate id="properties" name="object" property="propertiesOverviewList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
                        <td align="left">
                            <a  href="javascript:void(null)" onclick="return setListSorting(null, null);"><span class="col-normal-center" style="font-size: 13px;font-weight: bold;">${properties.legend}</span></a>
                            <a href="javascript:void(null)" onclick="return setListSorting('${properties.name}', 'asc');"><img src="images/ico_up.gif" border="0" align="absmiddle"></a>
                            <a href="javascript:void(null)" onclick="return setListSorting('${properties.name}', 'desc');"><img src="images/ico_down.gif" border="0" align="absmiddle"></a>
                        </td>
                    </logic:iterate>
                    <td align="left">&nbsp;</td>
                </tr>
                <tr class="errors"><td colspan="<%=((CustomObject)object).getPropertiesOverviewList().size()%>"><html:errors header="form.errors.header" footer="form.errors.footer" prefix="form.errors.prefix" suffix="form.errors.suffix"/></td></tr>
                <tr class="rowOdd">
                    <logic:iterate id="property" name="object" property="propertiesOverviewList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
                        <th align="left" style="">
                            <logic:equal name="property" property="htmlComponentType" value="0">
                                <% if (EditCustomObjectForm.getFormNameByProperty(property).toLowerCase().equals("colprop__id")){ %>
                                <html:text size="5" property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control"/>
                                <%}else{ %>
                                <html:text size="20" property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control"/>
                                <%} %>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="1">
                                <% if ((EditCustomObjectForm.getFormNameByProperty(property).toLowerCase().equals("colprop__isactive"))&&(isActive == null)){ %>
                                <html:select property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control" value="1">
                                    <html:option value="">?</html:option>
                                    <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true" />
                                </html:select>
                                <%}else{%>
                                <html:select property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control" >
                                    <html:option value="">?</html:option>
                                    <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true" />
                                </html:select>
                                <%}%>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="3">
                                <html:select property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control">
                                    <html:option value="">?</html:option>
                                    <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true"  />
                                </html:select>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="4">
                                <html:select property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' style="width:100%" styleClass="form-control" >
                                    <html:option value="">?</html:option>
                                    <f:options name="property" property="selectOptionValues" labelName="property" labelProperty="selectOptionLabels" includeInactiveObject="true" />
                                </html:select>
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="5">
                                <html:text property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleId="<%=EditCustomObjectForm.getFormNameByProperty(property)%>" style="width:100%"/>
    
                            </logic:equal>
                            <logic:equal name="property" property="htmlComponentType" value="6">
                                <html:text property='<%="filterValue("+EditCustomObjectForm.getFormNameByProperty(property)+")"%>' styleId="<%=EditCustomObjectForm.getFormNameByProperty(property)%>" style="width:100%"/>

                            </logic:equal>
                        </th>
                    </logic:iterate>
                    <th>&nbsp;</th>                    
                </tr>

        </thead>
        <tbody style="height: 100%;overflow-y: scroll;margin-bottom: 0; overflow-x: hidden;" id="div-task-list" >

            <logic:iterate id="objectForm" name="listForm" property="objectForms" type="cz.bellman.applications.externaldatabasemanager.beans.CustomObjectValues">
                    <tr class="section-row">
                    <logic:iterate id="property" name="object" property="propertiesOverviewList" type="cz.bellman.applications.externaldatabasemanager.beans.AbstractCustomProperty">
                        <td align="left" style="width: 100%">
                            <bean:define id="id" name="property" property="name"/>
                            <a href="editObject.do?objectName=${objectForm.customObject.objectName}${f:getPkValueParamsLink(objectForm)}" onclick='<%session.setAttribute("ii",j_int );%>'>${f:getPropertyLabelValue(objectForm,property)}</a>
                        </td>
                    </logic:iterate>
                    <td align="left" style="width: 100%"><a href="deleteObject.do?objectName=${objectForm.customObject.objectName}${f:getPkValueParamsLink(objectForm)}" onclick='<%session.setAttribute("ii",j_int );%>'>delete</a></td>                    
                </tr>
            </logic:iterate>


        </tbody>
    </table>

    </div>

        </html:form>

<script type="text/javascript">
   // sessionStorage.setItem("contact_first","false");
    if ($('input[name=objectName]').val() != 'contact') sessionStorage.setItem("contact_first","true");
    if ($('input[name=objectName]').val() != 'users') sessionStorage.setItem("users_first","true");
    if ($('input[name=objectName]').val() != 'company') sessionStorage.setItem("company_first","true");
    if ((sessionStorage.getItem("contact_first") != "false")&&($('input[name=objectName]').val() == 'contact')) { sessionStorage.setItem("contact_first","false");/*$('form[name=listForm]').submit();*/submitForm('useFilter');}
    if ((sessionStorage.getItem("users_first") != "false")&&($('input[name=objectName]').val() == 'users')) { sessionStorage.setItem("users_first","false");/*$('form[name=listForm]').submit();*/submitForm('useFilter');}
    if ((sessionStorage.getItem("company_first") != "false")&&($('input[name=objectName]').val() == 'company')) { sessionStorage.setItem("company_first","false");/*$('form[name=listForm]').submit();*/submitForm('useFilter');}
    var offset = $('#headerContent').height()+10;
</script>
<div id="paging">

</div>
