<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<%@ page language="java" %>
<%@ page pageEncoding="UTF-8" %>
<%@ page errorPage="exception.do" %>
<%@ page contentType="text/html; charset=UTF-8" %>
<%@ taglib uri="http://struts.apache.org/tags-bean" prefix="bean" %>
<%@ taglib uri="http://struts.apache.org/tags-html" prefix="html" %>
<%@ taglib uri="http://struts.apache.org/tags-logic" prefix="logic" %>
<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib prefix="tiles" uri="http://struts.apache.org/tags-tiles" %>
<html>
  <head>
      <meta http-equiv="content-type" content="text/html; charset=utf-8">
      <title>External database manager - <bean:message name="title" arg0="${objectName}"/></title>
      <link href="css/taskpool-workspace.css" rel="stylesheet" type="text/css" />
      <script type="text/javascript" src="js/jquery-1.12.2.min.js"></script>
      <script type="text/javascript" src="js/moment.js"></script>
      <%--%><script type="text/javascript" src="js/jquery-2.1.3.js"></script>--%>
      <script type="text/javascript" src="js/bootstrap.min.js"></script>
      <script type="text/javascript" src="js/bootstrap-datetimepicker.js"></script>

      <script type="text/javascript">
          $(function(){
        	  if(location.hash.indexOf('tpDfFlushed=true') >= 0){
                  $("#helpers_detail").addClass('bg-success').removeClass('bg-danger').html("" + '<bean:message key="form.saved.success"/>'+"").removeClass('hidden');
                  $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                      $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                  });;

              }else if(location.hash.indexOf('tpDfFlushed=false') >= 0){
                  $("#helpers_detail").addClass('bg-danger').removeClass('bg-success').html("" + '<bean:message key="form.saved.unsuccess"/>'+"").removeClass('hidden');
                  $("#helpers_detail").delay(5000).animate({ opacity: 0 }, 1000, 'linear', function () {
                      $("#helpers_detail").addClass('hidden').css({ opacity: 1 });
                  });;
              }
              location.hash="";
          });


      </script>
<style>
      #header{
      position: fixed;
      top: 0;
      right:0;
      left:0;
      color: #FFC234;
      width: 100%;
      z-index: 1030;
          background: #222222;max-height: 50px;
      }
</style>
  </head>
  <body style="">
    <div id="header">
        <tiles:insert attribute="header"/>
    </div>
    <div id="content" style="top: 21mm; ">
        <div id="page"><div id="taskColorPanel"><tiles:insert attribute="content"/></div></div>
    </div>
    <div id="footer">
        <tiles:insert attribute="footer"/>
    </div>
    <script type="text/javascript" src="js/jquery.floatThead.min.js"></script>
    <script>
        $(document).ready(function() {

            var offset = $('#headerContent').height()+10;
            var offset_tbody = $('table#listTable > thead').height()+10;
            var $table = $('table#listTable');
            $table.floatThead({top:50

            });
            console.log("nacitam stranku:"+sessionStorage.getItem("submited"));
            if (sessionStorage.getItem("submited") == "true") { sessionStorage.setItem("submited","false");console.log('klikam na attention');$('#attention_dyn')[0].click();}
            sessionStorage.setItem("submited","false");
        });
    </script>
  </body>
</html>